This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 847782 - no video in ktp-call-ui
no video in ktp-call-ui
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ktp-call-ui (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 10:22 EDT by Karel Volný
Modified: 2013-07-31 21:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:32:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2012-08-13 10:22:05 EDT
Description of problem:
Trying to initiate a video call to a jabber contact, I see no video, neither from my own webcam, neither from the remote party.

Version-Release number of selected component (if applicable):
ktp-call-ui-0.4.1.1-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. try to initiate a video call from ktp-contactlist
  
Actual results:
no video, the button to turn on local video is grayed out

Expected results:
I can enable and see the video from the local webcamera
I can see the video from the remote party once the call gets connected

Additional info:
it can be verified that the local webcam works e.g. by using `mplayer tv://`
Comment 1 Martin Klapetek 2012-08-13 11:39:29 EDT
Thanks for the report.

Which jabber service are you trying to use? 
Are you sure that service actually does support video calls? 
Can you test with GTalk for example?

Thanks
Comment 2 Karel Volný 2012-08-14 04:33:01 EDT
(In reply to comment #1)
> Thanks for the report.
> 
> Which jabber service are you trying to use? 

Netlab

I'm at jabber.cz and the party uses njs.netlab.cz

> Are you sure that service actually does support video calls? 

I hope so ... during my experimenting with various clients I made some succesfull calls using this account (see the previous report about calls being accepted without asking e.g. ... hm, but in that case the party was using jabber.org if *that* matters)

> Can you test with GTalk for example?

I'd prefer no, I'm trying to avoid registering at Google
Comment 3 Karel Volný 2012-08-14 04:36:07 EDT
and btw, if the service doesn't support video, shouldn't be the option to initiate video call disabled in the first place (as it happens with other contacts - I have only a few people in my contacts that have the microphone/camera icon shown in contactlist)?
Comment 4 Martin Klapetek 2012-08-14 18:22:04 EDT
Apparently this bug was fixed few days ago in master, any chance you can try that? 

It will be in the 0.5, which is due in few days, so you can wait for that too.
Comment 5 Karel Volný 2012-08-15 07:06:26 EDT
(In reply to comment #4)
> Apparently this bug was fixed few days ago in master, any chance you can try
> that? 

if you point me to the exact patch I can try sneak it in while rebuilding from srpm ...

> It will be in the 0.5, which is due in few days, so you can wait for that
> too.

... or it'd be easier to wait (if it will get into F17 updates)
(in that case please ping me to test the new build, I don't watch the queue and I don't have updates-testing enabled by default)
Comment 6 Martin Klapetek 2012-09-16 05:34:18 EDT
The updates should be up, can you retest please?
Comment 7 Karel Volný 2012-10-25 09:53:03 EDT
(In reply to comment #6)
> The updates should be up, can you retest please?

so, now I have ktp-call-ui-0.5.1-1.fc17.x86_64

I've tried to initiate a call from another computer

there was no video at all on that computer

after I've clicked to receive the call on my computer, I saw a small rectangle showing video from my camera in the corner of the call window - that disappeared after about 5-10 seconds and there was no video, neither local, neither the party; also the menu options to show/send video were grayed out
Comment 8 Fedora End Of Life 2013-07-03 19:08:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 21:32:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.